]> scripts.mit.edu Git - autoinstalls/wordpress.git/blobdiff - wp-admin/admin-footer.php
Wordpress 3.1.2
[autoinstalls/wordpress.git] / wp-admin / admin-footer.php
index 7c2bcd29406a48b5e23bab92c73621cf66cf24c1..c43ef2e827ee39f8a115eddada9ccd9c0318b94a 100644 (file)
@@ -5,6 +5,10 @@
  * @package WordPress
  * @subpackage Administration
  */
+
+// don't load directly
+if ( !defined('ABSPATH') )
+       die('-1');
 ?>
 
 <div class="clear"></div></div><!-- wpbody-content -->
@@ -18,14 +22,13 @@ do_action( 'in_admin_footer' );
 $upgrade = apply_filters( 'update_footer', '' );
 echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . __('Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.').'</span> | '.__('<a href="http://codex.wordpress.org/">Documentation</a>').' | '.__('<a href="http://wordpress.org/support/forum/4">Feedback</a>') ); ?>
 </p>
-<?php // if ( $is_IE ) browse_happy(); ?>
 <p id="footer-upgrade" class="alignright"><?php echo $upgrade; ?></p>
 <div class="clear"></div>
 </div>
 <?php
 do_action('admin_footer', '');
 do_action('admin_print_footer_scripts');
-do_action("admin_footer-$hook_suffix");
+do_action("admin_footer-" . $GLOBALS['hook_suffix']);
 
 // get_site_option() won't exist when auto upgrading from <= 2.7
 if ( function_exists('get_site_option') ) {